ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::files::detail::VariantPixelBufferConstVisitor< T > Struct Template Reference

Find a PixelBuffer data array of a specific pixel type. More...

`#include <ome/files/VariantPixelBuffer.h>`

Inheritance diagram for ome::files::detail::VariantPixelBufferConstVisitor< T >:
[legend]
Collaboration diagram for ome::files::detail::VariantPixelBufferConstVisitor< T >:
[legend]

## Public Member Functions
const PixelBuffer< T > & | operator() (const ome::compat::shared_ptr< PixelBuffer< T > > &v) const
| PixelBuffer of correct type. More...
template<typename U >
const PixelBuffer< T > & | operator() (U &) const
| PixelBuffer of incorrect type. More...

## Detailed Description

### template<typename T>
struct ome::files::detail::VariantPixelBufferConstVisitor< T >

Find a PixelBuffer data array of a specific pixel type.

## Member Function Documentation

template<typename T>

const PixelBuffer<T>& ome::files::detail::VariantPixelBufferConstVisitor< T >::operator() | ( | const ome::compat::shared_ptr< PixelBuffer< T > > & | v | ) | const
| inline

PixelBuffer of correct type.

Parameters

  v | the value to find.

Returns
  a pointer to the data array.

Exceptions

  if | the PixelBuffer is null.

template<typename T>
template<typename U >

const PixelBuffer<T>& ome::files::detail::VariantPixelBufferConstVisitor< T >::operator() | ( | U & |  | ) | const
| inline

PixelBuffer of incorrect type.

Exceptions

  if | used.

Returns
  a pointer to the data array.

The documentation for this struct was generated from the following file:

- ome/files/VariantPixelBuffer.h